Skip to main content
GET
/
controls
/
deactivated-controls
List deactivated controls
curl --request GET \
  --url https://api.vanta.com/v1/controls/deactivated-controls \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.vanta.com/v1/controls/deactivated-controls"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.vanta.com/v1/controls/deactivated-controls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": {
    "data": [
      {
        "id": "a2f7e1b9d0c3f4e5a6c7b8d9",
        "externalId": "CRY-104",
        "name": "Data encryption utilized",
        "description": "Access reviews are performed to ensure that access is appropriate for the user's role and responsibilities.",
        "source": "Vanta",
        "domains": [
          "CRYPTOGRAPHIC_PROTECTIONS"
        ],
        "owner": {
          "id": "65e1efde08e8478f143a8ff9",
          "emailAddress": "example-person@email.com",
          "displayName": "Example Owner"
        },
        "role": "CONTROLLER",
        "customFields": [
          {
            "label": "Additional context",
            "value": "This control is critical for GDPR compliance"
          }
        ],
        "creationDate": null,
        "modificationDate": null
      }
    ],
    "pageInfo": {
      "hasNextPage": false,
      "hasPreviousPage": false,
      "startCursor": "YXJyYXljb25uZWN0aW9uOjA=",
      "endCursor": "YXJyYXljb25uZWN0aW9uOjE="
    },
    "totalCount": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int32>
default:10

Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

Response

200 - application/json

Ok

results
object
required